Loading...
Searching...
No Matches
mptcpd_idm Struct Reference

Internal mptcpd address ID manager data. More...

## Public Attributes

struct l_uintset * | ids
| Set of used MPTCP address IDs.
struct l_hashmap * | map
| Map of IP address to MPTCP address ID.
uint32_t | seed
| MurmurHash3 seed value.

## Detailed Description

Internal mptcpd address ID manager data.

## Member Data Documentation

## map

struct l_hashmap* mptcpd_idm::map

Map of IP address to MPTCP address ID.

Todo:
  A hashmap may be overkill for this use case since a given host isn't likely to have many local IP addresses. Assuming that is the case, a simple O(n) based lookup on a linked list (e.g. `l_queue`) or an array should perform just as well.

The documentation for this struct was generated from the following file:

- lib/id_manager.c